All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface ChannelInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

    public interface ChannelInterface

extends MetadataInterface

This interface represents a repository neutral accessor class for an IT Channel entity in a metadata repository.

Since:
  1.0

Field Summary
`static int` | `ARCHIVE_TRANSPORT` The channel's default transport is archive.
`static int` | `NO_TRANSPORT` No default transport defined in metadata.
`static java.lang.String` | `SMART_OBJECT_TYPE` Information service smart object type representing a publishing framework channel type.
`static int` | `UNSUPPORTED_TRANSPORT` Unsupported default transport defined in metadata.
`static int` | `WEBDAV_TRANSPORT` The channel's default transport is WebDAV.

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`void` | `addContentSubscriber(ContentSubscriberInterface subscriber)` Adds a content subscriber to this channel.
`void` | `addEventSubscriber(EventSubscriberInterface subscriber)` Adds an event subscriber to this channel.
`void` | `addSubscriberGroup(GroupInterface group)` Add a subscriber group to this channel.
`ContentDestination` | `getArchivePath()` Returns a the archive path content information to use as the archive path for this channel.
`ContentDestination` | `getContentDestination()` Get the content destination for this channel.
`java.lang.String` | `getDavUrlType()` Gets the type of url.
`int` | `getDeliveryTransport()` Gets the default transport defined for this channel.
`java.lang.String` | `getFrequency()` Gets the frequency for this channel.
`java.lang.String` | `getPresentationLanguage()` Returns the channel's presentation language.
`java.lang.String` | `getSubject()` Returns this channel's subject.
`boolean` | `isContentSubscription(ContentSubscriberInterface subscriber)` Determines if a user is subscribed to this channel as a channel subscriber.
`boolean` | `isEventSubscription(EventSubscriberInterface subscriber)` Determines if a user is subscribed to this channel as an event subscriber.
`boolean` | `isGroupContentSubscription(ContentSubscriberInterface subscriber)` Determines if a user is subscribed to this channel through a group as a content subscriber.
`boolean` | `isGroupEventSubscription(EventSubscriberInterface subscriber)` Determines if a user is subscribed to this channel through a group as an event subscriber.
`boolean` | `isPublishAuthorized()` Determines if the user has permission to publish to the channel.
`java.util.List` | `packageList()` Returns an iteration of all the packages contained in this channel.
`java.util.List` | `packageList(java.util.Comparator compare)` Returns a sorted List of all the packages contained in this channel.
`void` | `removeContentSubscriber(ContentSubscriberInterface subscriber)` Removes a content subscriber from this channel.
`void` | `removeEventSubscriber(EventSubscriberInterface subscriber)` Removes an event subscriber from this channel.
`void` | `removeSubscriberGroup(GroupInterface group)` Remove a subscriber group from this channel.
`void` | `setArchivePath(DirectoryInterface basePathDir, java.lang.String relativePath)` Set the location of the archive path to use for this channel.This method should be used when the archive path is defined to be an HTTP server.
`void` | `setArchivePath(ServerInterface server, java.lang.String relativePath)` Set the location of the archive path to use for this channel.
`void` | `setArchivePath(java.lang.String path)` Set the location of the archive path to use for this channel.
`void` | `setContentDestination(DirectoryInterface basePathDirectory, java.lang.String relativePath)` Set the content destination for this channel.
`void` | `setDavUrlType(java.lang.String type)` Sets the type of url.
`void` | `setDeliveryTransport(int deliveryTransport)` Set the default transport defined for this channel.
`void` | `setFrequency(java.lang.String frequency)` Sets the frequency string for this channel.
`void` | `setPresentationLanguage(java.lang.String language)` Sets the channel presentation language.
`void` | `setSubject(java.lang.String subject)` Sets this channel's subject.
`java.util.List` | `subscriberGroupsList(int subscriberType)` Returns a List of Group objects that are subscribed to this channel.
`java.util.List` | `subscriberList(int subscriberType)` Returns a List of all this channel's subscribers.
`java.util.List` | `subscriberList(int subscriberType, java.util.Comparator compare)` Returns a sorted iteration of all this channel's subscribers.
`java.util.List` | `subscriberNameList(int subscriberType)` Return a List of subscriber names.

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifyDate, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Field Detail

### SMART_OBJECT_TYPE

    static final java.lang.String SMART_OBJECT_TYPE

  Information service smart object type representing a publishing framework channel type.

  See Also:
    Constant Field Values

### NO_TRANSPORT

    static final int NO_TRANSPORT

  No default transport defined in metadata.

  See Also:
    Constant Field Values

### UNSUPPORTED_TRANSPORT

    static final int UNSUPPORTED_TRANSPORT

  Unsupported default transport defined in metadata.

  See Also:
    Constant Field Values

### ARCHIVE_TRANSPORT

    static final int ARCHIVE_TRANSPORT

  The channel's default transport is archive.

  See Also:
    Constant Field Values

### WEBDAV_TRANSPORT

    static final int WEBDAV_TRANSPORT

  The channel's default transport is WebDAV.

  See Also:
    Constant Field Values

Method Detail

### packageList

    java.util.List packageList()
                               throws ServiceException,
                                      java.rmi.RemoteException

  Returns an iteration of all the packages contained in this channel.

  Returns:
    A List of `com.sas.services.publish.metadata.PackageInterface` objects that were published to this channel.
  Throws:
    `ServiceException` - in the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### packageList

    java.util.List packageList(java.util.Comparator compare)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Returns a sorted List of all the packages contained in this channel.

  Parameters:
    `compare` - A Comparator for sorting, or null for no sorting.
  Returns:
    A List of `com.sas.services.publish.metadata.PackageInterface` objects published to this channel.
  Throws:
    `ServiceException` - in the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getArchivePath

    ContentDestination getArchivePath()
                                      throws ServiceException,
                                             java.rmi.RemoteException

  Returns a the archive path content information to use as the archive path for this channel.

  Returns:
    a ContentDestination object that represents the default location for archives published to this channel.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setArchivePath

    void setArchivePath(DirectoryInterface basePathDir,
                        java.lang.String relativePath)
                        throws ServiceException,
                               java.rmi.RemoteException

  Set the location of the archive path to use for this channel.This method should be used when the archive path is defined to be an HTTP server.

  Parameters:
    `basePathDir` - A DirectoryInterface representing the base path for this channel. The server can be obtained from the base path directory.
    `relativePath` - A String with the relative path for the channel archive destination.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setArchivePath

    void setArchivePath(java.lang.String path)
                        throws ServiceException,
                               java.rmi.RemoteException

  Set the location of the archive path to use for this channel. Sets the archive path to a physical path.

  Parameters:
    `path` - A String that identifies the absolute physical path.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setArchivePath

    void setArchivePath(ServerInterface server,
                        java.lang.String relativePath)
                        throws ServiceException,
                               java.rmi.RemoteException

  Set the location of the archive path to use for this channel. This method should be used when the archive path is defined to be an FTP server.

  Parameters:
    `server` - A ServerInterface representing the FTP server.
    `relativePath` - A String with the relative path for the channel archive destination.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getSubject

    java.lang.String getSubject()
                                throws ServiceException,
                                       java.rmi.RemoteException

  Returns this channel's subject.

  Returns:
    The subject.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setSubject

    void setSubject(java.lang.String subject)
                    throws ServiceException,
                           java.rmi.RemoteException

  Sets this channel's subject.

  Parameters:
    `subject` - The channel's new subject string.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getPresentationLanguage

    java.lang.String getPresentationLanguage()
                                             throws ServiceException,
                                                    java.rmi.RemoteException

  Returns the channel's presentation language.

  Returns:
    the presentation language.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setPresentationLanguage

    void setPresentationLanguage(java.lang.String language)
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Sets the channel presentation language.

  Parameters:
    `language` - The new presentation language.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of a network error.

### getFrequency

    java.lang.String getFrequency()
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Gets the frequency for this channel. This is only a hint for potential subscribers, not a rule. This string may be displayed to give users an idea of how often content is published.

  Returns:
    the frequency that content is published on this channel.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### setFrequency

    void setFrequency(java.lang.String frequency)
                      throws ServiceException,
                             java.rmi.RemoteException

  Sets the frequency string for this channel. This string is just for display, so no attempt is made to verify it as a valid period.

  Parameters:
    `frequency` - The new frequency string.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### getContentDestination

    ContentDestination getContentDestination()
                                             throws ServiceException,
                                                    java.rmi.RemoteException

  Get the content destination for this channel.

  Returns:
    a Directory representing the preferred content destination for this subscriber.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setContentDestination

    void setContentDestination(DirectoryInterface basePathDirectory,
                               java.lang.String relativePath)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Set the content destination for this channel.

  Parameters:
    `basePathDirectory` - A Directory representing the content destination.
    `relativePath` - The relative path from the base path to the content.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### subscriberList

    java.util.List subscriberList(int subscriberType)
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Returns a List of all this channel's subscribers.

  Parameters:
    `subscriberType` - Identifies the type of subscribers to return. Valid subscriber types include `SubscriberInterface.SUBSCRIBER_CONTENT` or `SubscriberInterface.SUBSCRIBER_EVENT`. The subscriber type can be ORed in order to return multiple types of subscribers.
  Returns:
    A List of SubscriberInterface objects.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### subscriberList

    java.util.List subscriberList(int subscriberType,
                                  java.util.Comparator compare)
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Returns a sorted iteration of all this channel's subscribers.

  Parameters:
    `subscriberType` - Identifies the type of subscribers to return. Valid subscriber types include `SubscriberInterface.SUBSCRIBER_CONTENT` or `SubscriberInterface.SUBSCRIBER_EVENT`. The subscriber type can be ORed in order to return multiple types of subscribers.
    `compare` - A Comparator for sorting, or null for no sorting.
  Returns:
    A List of SubscriberInterface objects.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### addEventSubscriber

    void addEventSubscriber(EventSubscriberInterface subscriber)
                            throws ServiceException,
                                   java.rmi.RemoteException

  Adds an event subscriber to this channel.

  Parameters:
    `subscriber` - The event subscriber to add.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### addContentSubscriber

    void addContentSubscriber(ContentSubscriberInterface subscriber)
                              throws ServiceException,
                                     java.rmi.RemoteException

  Adds a content subscriber to this channel.

  Parameters:
    `subscriber` - The conent subscriber to add.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### removeEventSubscriber

    void removeEventSubscriber(EventSubscriberInterface subscriber)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Removes an event subscriber from this channel.

  Parameters:
    `subscriber` - The event subscriber to remove.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### removeContentSubscriber

    void removeContentSubscriber(ContentSubscriberInterface subscriber)
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Removes a content subscriber from this channel.

  Parameters:
    `subscriber` - The content subscriber to remove.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### isGroupEventSubscription

    boolean isGroupEventSubscription(EventSubscriberInterface subscriber)
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Determines if a user is subscribed to this channel through a group as an event subscriber.

  Parameters:
    `subscriber` - The event subscriber subscriber
  Returns:
    true if a subscriber's group is subscribed to this channel
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### isGroupContentSubscription

    boolean isGroupContentSubscription(ContentSubscriberInterface subscriber)
                                       throws ServiceException,
                                              java.rmi.RemoteException

  Determines if a user is subscribed to this channel through a group as a content subscriber.

  Parameters:
    `subscriber` - The content subscriber
  Returns:
    true if a subscriber's group is subscribed to this channel
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### isEventSubscription

    boolean isEventSubscription(EventSubscriberInterface subscriber)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Determines if a user is subscribed to this channel as an event subscriber.

  Parameters:
    `subscriber` - The subscriber
  Returns:
    true if user is subscribed, false otherwise
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### isContentSubscription

    boolean isContentSubscription(ContentSubscriberInterface subscriber)
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Determines if a user is subscribed to this channel as a channel subscriber.

  Parameters:
    `subscriber` - The subscriber
  Returns:
    true if user is subscribed, false otherwise
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### subscriberNameList

    java.util.List subscriberNameList(int subscriberType)
                                      throws java.rmi.RemoteException,
                                             ServiceException

  Return a List of subscriber names. The type of subscribers that are processed is determined by the subscriber type parameter. This method can return the names of content subscribers, event subscribers or both.

  Parameters:
    `subscriberType` - Identifies the type of subscriber to return information for. Valid subscriber types include `SubscriberInterface.SUBSCRIBER_CONTENT` or `SubscriberInterface.SUBSCRIBER_EVENT`. The subscriber type can be ORed in order to return names for multiple subscriber types.
  Returns:
    A List of Strings with the names of the subscribers to this channel.
  Throws:
    `ServiceException` - if a repository error occurs.
    `java.rmi.RemoteException` - in the event of network error.

### subscriberGroupsList

    java.util.List subscriberGroupsList(int subscriberType)
                                        throws ServiceException,
                                               java.rmi.RemoteException

  Returns a List of Group objects that are subscribed to this channel. A group of content subscribers and group of event subscribers is supported. The type of subscribers that are processed is determined by the subscriber type parameter. This method can return groups of content subscribers or a group of event subscribers or both.

  Parameters:
    `subscriberType` - Identifies the type of subscriber to return information for. Valid subscriber types include `SubscriberInterface.SUBSCRIBER_CONTENT` or `SubscriberInterface.SUBSCRIBER_EVENT`. The subscriber type can be ORed in order to return groups for multiple subscriber types.
  Returns:
    a List of Group objects.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### addSubscriberGroup

    void addSubscriberGroup(GroupInterface group)
                            throws java.rmi.RemoteException,
                                   ServiceException

  Add a subscriber group to this channel.

  Parameters:
    `group` - The new subscriber group.
  Throws:
    `java.rmi.RemoteException` - in the event of a remote object failure.
    `ServiceException` - if a repository error occurs.

### removeSubscriberGroup

    void removeSubscriberGroup(GroupInterface group)
                               throws java.rmi.RemoteException,
                                      ServiceException

  Remove a subscriber group from this channel.

  Parameters:
    `group` - The group to unsubscribe.
  Throws:
    `ServiceException` - if a repository error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getDavUrlType

    java.lang.String getDavUrlType()
                                   throws ServiceException,
                                          java.rmi.RemoteException

  Gets the type of url. For webDAV servers, the url can either be a parent or collection url.

  Returns:
    The type of url, parent or collection.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### setDavUrlType

    void setDavUrlType(java.lang.String type)
                       throws ServiceException,
                              java.rmi.RemoteException

  Sets the type of url. For webDAV servers, the url can either be a parent or collection url.

  Parameters:
    `type` - The type of url, parent or collection.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### getDeliveryTransport

    int getDeliveryTransport()
                             throws ServiceException,
                                    java.rmi.RemoteException

  Gets the default transport defined for this channel.

  Returns:
    The default transport defined as `UNSUPPORTED_TRANSPORT`, `NO_TRANSPORT`, `ARCHIVE_TRANSPORT` or `WEBDAV_TRANSPORT`.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.

### setDeliveryTransport

    void setDeliveryTransport(int deliveryTransport)
                              throws ServiceException,
                                     java.rmi.RemoteException,
                                     java.lang.IllegalArgumentException

  Set the default transport defined for this channel.

  Parameters:
    `deliveryTransport` - The default transport defined as `NO_TRANSPORT`, `ARCHIVE_TRANSPORT` or `WEBDAV_TRANSPORT`.
  Throws:
    `ServiceException` - in the event of service object failure.
    `java.rmi.RemoteException` - in the event of network error.
    `java.lang.IllegalArgumentException` - if an invalid transport is specified

### isPublishAuthorized

    boolean isPublishAuthorized()
                                throws ServiceException,
                                       java.rmi.RemoteException

  Determines if the user has permission to publish to the channel.

  Returns:
    true if the user has permission to publish to the channel
  Throws:
    `ServiceException` - if a repository error occurs.
    `java.rmi.RemoteException` - in the event of network error.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.